View Issue Details

IDProjectCategoryView StatusLast Update
0007125Kali Linux[All Projects] Tool Upgrade Requestpublic2021-06-30 08:49
Reportertn4417 Assigned To 
PrioritynormalSeverityblockReproducibilityalways
Status assignedResolutionopen 
Product Version2021.1 
Target VersionFixed in Version 
Summary0007125: upgrade error
Description└─# apt update -y && apt full-upgrade -y && apt autoremove -y && apt autoclean -y && apt-get clean all 100 ⨯
Hit:1 http://ftp.debian.org/debian stable InRelease
Hit:2 http://kali.download/kali kali-rolling InRelease
Hit:3 http://kali.download/kali kali-last-snapshot InRelease
Hit:4 http://kali.download/kali kali-experimental InRelease
Hit:5 http://kali.download/kali kali-dev InRelease
Hit:6 http://dl.google.com/linux/chrome/deb stable InRelease
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
61 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libc6-dev : Depends: libc6 (= 2.31-10) but 2.31-9 is installed
 libc6-i386 : Depends: libc6 (= 2.31-10) but 2.31-9 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

Activities

tn4417

2021-03-31 08:18

reporter   ~0014424

└─# apt update -y && apt full-upgrade -y && apt autoremove -y && apt autoclean -y && apt-get clean all 130 ⨯
Hit:1 http://kali.download/kali kali-rolling InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://ftp.debian.org/debian stable InRelease
Hit:4 http://kali.download/kali kali-last-snapshot InRelease
Hit:5 http://kali.download/kali kali-experimental InRelease
Hit:6 http://kali.download/kali kali-dev InRelease
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
66 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  libmirisdr0 linux-headers-5.10.0-kali5-amd64 linux-headers-5.10.0-kali5-common linux-image-5.10.0-kali5-amd64 soapysdr0.7-module-mirisdr
  soapysdr0.7-module-rfspace
The following packages will be upgraded:
  amass amass-common bind9-dnsutils bind9-host bind9-libs exploitdb firefox-esr geoclue-2.0 gir1.2-geoclue-2.0 gir1.2-javascriptcoregtk-4.0
  gir1.2-webkit2-4.0 gnutls-bin google-chrome-stable kali-menu libc-bin libc-dev-bin libc-devtools libc-l10n libc6 libc6-dev libc6-i386 libcaca0
  libcpupower1 libgeoclue-2-0 libglib2.0-0 libglib2.0-bin libglib2.0-data libglib2.0-dev libglib2.0-dev-bin libgnutls-dane0 libgnutls30
  libjavascriptcoregtk-4.0-18 liblirc-client0 libpam-modules libpam-modules-bin libpam-runtime libpam0g libplymouth5 libqt5qml5 libqt5qmlmodels5
  libqt5quick5 libsoapysdr0.7 libssl1.1 libwebkit2gtk-4.0-37 linux-compiler-gcc-10-x86 linux-headers-amd64 linux-image-amd64 linux-kbuild-5.10
  linux-libc-dev locales locales-all maltego metasploit-framework openssl plymouth plymouth-label python3-lxml python3-netaddr
  soapysdr0.7-module-all sslscan sslyze tasksel tasksel-data texlive-latex-extra texlive-plain-generic xsser
66 upgraded, 6 newly installed, 0 to remove and 0 not upgraded.
Need to get 404 MB/626 MB of archives.
After this operation, 358 MB of additional disk space will be used.
Get:1 http://kali.download/kali kali-rolling/non-free amd64 maltego all 4.2.16.13775-0kali1 [129 MB]
Get:2 http://kali.download/kali kali-rolling/main amd64 kali-menu all 2021.2.0 [7,035 kB]
Get:3 http://kali.download/kali kali-rolling/main amd64 libcaca0 amd64 0.99.beta19-2.2 [348 kB]
Get:4 http://kali.download/kali kali-rolling/main amd64 libcpupower1 amd64 5.10.24-1kali1 [1,010 kB]
Get:5 http://kali.download/kali kali-rolling/main amd64 liblirc-client0 amd64 0.10.1-6.3 [70.9 kB]
Get:6 http://kali.download/kali kali-rolling/main amd64 libplymouth5 amd64 0.9.5-3 [108 kB]
Get:7 http://kali.download/kali kali-rolling/main amd64 libqt5qml5 amd64 5.15.2+dfsg-5 [1,318 kB]
Get:8 http://kali.download/kali kali-rolling/main amd64 libqt5qmlmodels5 amd64 5.15.2+dfsg-5 [193 kB]
Get:9 http://kali.download/kali kali-rolling/main amd64 libqt5quick5 amd64 5.15.2+dfsg-5 [1,558 kB]
Get:10 http://kali.download/kali kali-rolling/main amd64 libsoapysdr0.7 amd64 0.7.2-2 [104 kB]
Get:11 http://kali.download/kali kali-rolling/main amd64 linux-compiler-gcc-10-x86 amd64 5.10.24-1kali1 [1,003 kB]
Get:12 http://kali.download/kali kali-rolling/main amd64 linux-headers-5.10.0-kali5-common all 5.10.24-1kali1 [9,496 kB]
Get:13 http://kali.download/kali kali-rolling/main amd64 linux-kbuild-5.10 amd64 5.10.24-1kali1 [1,244 kB]
Get:14 http://kali.download/kali kali-rolling/main amd64 linux-headers-5.10.0-kali5-amd64 amd64 5.10.24-1kali1 [1,530 kB]
Get:15 http://kali.download/kali kali-rolling/main amd64 linux-headers-amd64 amd64 5.10.24-1kali1 [1,148 B]
Get:16 http://kali.download/kali kali-rolling/main amd64 linux-image-5.10.0-kali5-amd64 amd64 5.10.24-1kali1 [53.0 MB]
Get:17 http://kali.download/kali kali-rolling/main amd64 linux-image-amd64 amd64 5.10.24-1kali1 [1,456 B]
Get:18 http://kali.download/kali kali-dev/main amd64 locales-all amd64 2.31-10 [10.8 MB]
Get:19 http://kali.download/kali kali-dev/main amd64 openssl amd64 1.1.1k-1 [850 kB]
Get:20 http://kali.download/kali kali-rolling/main amd64 metasploit-framework amd64 6.0.37-0kali1 [129 MB]
Get:21 http://kali.download/kali kali-rolling/main amd64 plymouth-label amd64 0.9.5-3 [18.2 kB]
Get:22 http://kali.download/kali kali-rolling/main amd64 plymouth amd64 0.9.5-3 [138 kB]
Get:23 http://kali.download/kali kali-dev/main amd64 python3-lxml amd64 4.6.3-1 [1,091 kB]
Get:24 http://kali.download/kali kali-rolling/main amd64 python3-netaddr all 0.7.19-5 [253 kB]
Get:25 http://kali.download/kali kali-rolling/main amd64 libmirisdr0 amd64 0.0.4.59ba37-5+b1 [10.5 kB]
Get:26 http://kali.download/kali kali-rolling/main amd64 soapysdr0.7-module-mirisdr amd64 0.2.5-3+b2 [46.4 kB]
Get:27 http://kali.download/kali kali-rolling/main amd64 soapysdr0.7-module-rfspace amd64 0.2.5-3+b2 [79.6 kB]
Get:28 http://kali.download/kali kali-rolling/main amd64 soapysdr0.7-module-all amd64 0.7.2-2 [8,160 B]
Get:29 http://kali.download/kali kali-rolling/main amd64 sslscan amd64 2.0.9-0kali1 [1,179 kB]
Get:30 http://kali.download/kali kali-rolling/main amd64 sslyze all 4.1.0-0kali1 [400 kB]
Get:31 http://kali.download/kali kali-rolling/main amd64 texlive-latex-extra all 2020.20210202-3 [13.7 MB]
Get:32 http://kali.download/kali kali-rolling/main amd64 texlive-plain-generic all 2020.20210202-3 [27.0 MB]
Get:33 http://kali.download/kali kali-rolling/main amd64 xsser all 1.8.4-0kali1 [11.5 MB]
Fetched 366 MB in 2min 38s (2,317 kB/s)
apt-listchanges: Reading changelogs...
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 516498 files and directories currently installed.)
Preparing to unpack .../0-libc6-i386_2.31-10_amd64.deb ...
Unpacking libc6-i386 (2.31-10) over (2.31-9) ...
Preparing to unpack .../1-libc-devtools_2.31-10_amd64.deb ...
Unpacking libc-devtools (2.31-10) over (2.31-9) ...
Preparing to unpack .../2-libc6-dev_2.31-10_amd64.deb ...
Unpacking libc6-dev:amd64 (2.31-10) over (2.31-9) ...
Preparing to unpack .../3-libc-dev-bin_2.31-10_amd64.deb ...
Unpacking libc-dev-bin (2.31-10) over (2.31-9) ...
Preparing to unpack .../4-linux-libc-dev_5.10.24-1kali1_amd64.deb ...
Unpacking linux-libc-dev:amd64 (5.10.24-1kali1) over (5.10.19-1kali1) ...
Preparing to unpack .../5-libc6_2.31-10_amd64.deb ...
dpkg: error processing archive /tmp/apt-dpkg-install-WXjYUn/5-libc6_2.31-10_amd64.deb (--unpack):
 new libc6:amd64 package pre-installation script subprocess returned error exit status 10
Errors were encountered while processing:
 /tmp/apt-dpkg-install-WXjYUn/5-libc6_2.31-10_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Michu

2021-04-07 16:58

reporter   ~0014434

apt gave you a potential solution E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution). after Try word copy and paste and see what will happen and if it won't work let me know

Issue History

Date Modified Username Field Change
2021-03-31 08:17 tn4417 New Issue
2021-03-31 08:17 tn4417 Status new => assigned
2021-03-31 08:17 tn4417 Assigned To => sbrun
2021-03-31 08:18 tn4417 Note Added: 0014424
2021-04-07 15:03 sbrun Assigned To sbrun =>
2021-04-07 16:58 Michu Note Added: 0014434
2021-05-31 13:37 rhertzog Category Tool Upgrade => Tool Upgrade Request
2021-06-30 08:49 g0tmi1k Priority immediate => normal